> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/publisher/docs/template-tags/forms.md).

# Forms

Publisher will update all form tags (action and hidden form field parameters) with appropriately prefixed URLs. For example, `action="path/to/page"` will be updated with `action="en/path/to/page"` if English is your default value. If you wish to disable this functionality, add `data-publisher-ignored="yes"` to your form tags. This may be necessary for forms that post to external URLs, such as Campaign Monitor or another newsletter/subscription type service.

For example:

```
<form action="/submit" data-publisher-ignored="yes"></form>
```

If an ExpressionEngine template tag lets you add additional html attributes, you can also add an ignore to it as well:

```
{exp:module:method extra="data-publisher-ignored='yes'"}{/exp:module:method}
```

If an ExpressionEngine template tag does not provide a way to append additional html attributes, you can also use a css class:

```
{exp:module:method css_class="publisher-ignored"}{/exp:module:method}
```

If you are using Freeform from Solspace, and using the language prefix option, you may need to update the return and any other URL based parameter in the Freeform tag to include the language prefix. Publisher is unable to automatically update this value due to how Freeform is processing the parameter values. For example, your return parameter may need to look like this:

```
{exp:freeform:form form_name="contact" return="{publisher:current_language_code}/template_group/template"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/publisher/docs/template-tags/forms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
